com.tibbo.aggregate.common.context

## Class UncheckedCallerController

- java.lang.Object
- - com.tibbo.aggregate.common.context.AbstractCallerController
  - - com.tibbo.aggregate.common.context.UncheckedCallerController

- All Implemented Interfaces:
    CallerController

      public class UncheckedCallerController
      extends AbstractCallerController

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.tibbo.aggregate.common.context.CallerController

      `CallerController.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncheckedCallerController()`
    `UncheckedCallerController(CallerData callerData)`
    `UncheckedCallerController(java.lang.String username)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Permissions` | `getPermissions()`
    `void` | `handleContextEvent(Event event)`
    `boolean` | `isHeadless()`
    `boolean` | `isLoggedIn()`
    `boolean` | `isPermissionCheckingEnabled()`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.AbstractCallerController

      `addLockedContext, addLogoutListener, cache, createLockedContextsTable, getAddress, getCallerData, getControllers, getCreationTime, getEffectiveUsername, getInheritedUsername, getLogin, getPermissionCache, getProperties, getSessionId, getSessionIdCounter, getTokenExpirationPeriod, getType, getUsername, isConnectionTerminatable, isWeb, login, logout, logoutInternal, logoutSoftly, lookup, removeLockedContext, removeLogoutListener, sendFeedback, sendFeedback, setAddress, setInheritedUsername, setLoggedIn, setLogin, setSessionId, setTokenExpirationPeriod, setType, setUsername, toString, unlockAllContexts`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.context.CallerController

      `getClientIP, getLoginType`

- - ### Constructor Detail

    - #### UncheckedCallerController

          public UncheckedCallerController()

    - #### UncheckedCallerController

          public UncheckedCallerController(java.lang.String username)

    - #### UncheckedCallerController

          public UncheckedCallerController(CallerData callerData)

  - ### Method Detail

    - #### getPermissions

          public Permissions getPermissions()

      Specified by:
        `getPermissions` in interface `CallerController`
      Overrides:
        `getPermissions` in class `AbstractCallerController`

    - #### isPermissionCheckingEnabled

          public boolean isPermissionCheckingEnabled()

      Specified by:
        `isPermissionCheckingEnabled` in interface `CallerController`
      Overrides:
        `isPermissionCheckingEnabled` in class `AbstractCallerController`

    - #### isLoggedIn

          public boolean isLoggedIn()

      Specified by:
        `isLoggedIn` in interface `CallerController`
      Overrides:
        `isLoggedIn` in class `AbstractCallerController`

    - #### isHeadless

          public boolean isHeadless()

    - #### handleContextEvent

          public void handleContextEvent(Event event)
                                  throws EventHandlingException

      Throws:
        `EventHandlingException`